Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-53917

choice parameter no longer supports choices in pipeline

    XMLWordPrintable

    Details

    • Similar Issues:
    • Released As:
      1.17

      Description

      Current releases of all plugins, notably Struct 1.16, result in the choice parameter no longer having a legal choices argument. https://github.com/jenkinsci/structs-plugin/pull/41 perhaps?

      Reproduce: docker run -p 8080:8080 jenkins/jenkins:2.138.1, install workflow-aggregator only, create a Pipeline and consult the Snippet Generator.

      Originally reported on IRC by ctcpme (Steve Bouché):

      [2018-10-05 07:58:19]  <ctcpme>		i just did an upgrade to 2.138.1, and updated plugins.  i'm getting an error "WorkflowScript: 80: Invalid parameter "choices", did you mean "name"?" with choice parameters in my pipelines.  like pipeline { parameters { choice(name: "test", choices: "1\n2", description: "test") } }.  anyone have a clue what could cause this?
      [2018-10-05 08:02:23]  <@danielbeck>		ctcpme are you on structs plugin 1.16?
      [2018-10-05 08:02:38]  <ctcpme>		yes
      [2018-10-05 08:03:51]  <@danielbeck>		ctcpme is there a way for you to ignore the error, if so, what happens?
      [2018-10-05 08:04:41]  <ctcpme>		i don't believe so.  i get a MultipleCompilationErrorsException and the job immediately fails.	 

        Attachments

          Issue Links

            Activity

            danielbeck Daniel Beck created issue -
            danielbeck Daniel Beck made changes -
            Field Original Value New Value
            Description Current releases of all plugins, notably Struct 1.16, result in the {{choice}} parameter no longer having a legal {{choices}} argument. [https://github.com/jenkinsci/structs-plugin/pull/41] perhaps?

            Reproduce: {{docker run -p 8080:8080 jenkins/jenkins:2.138.1}}, install workflow-aggregator only, create a Pipeline and consult the Snippet Generator.

            Originally reported on IRC by ctcpme:
            {noformat}
            [2018-10-05 07:58:19] <ctcpme> i just did an upgrade to 2.138.1, and updated plugins.  i'm getting an error "WorkflowScript: 80: Invalid parameter "choices", did you mean "name"?" with choice parameters in my pipelines.  like pipeline { parameters { choice(name: "test", choices: "1\n2", description: "test") } }.  anyone have a clue what could cause this? [2018-10-05 08:02:23] <@danielbeck> ctcpme are you on structs plugin 1.16? [2018-10-05 08:02:38] <ctcpme> yes [2018-10-05 08:03:51] <@danielbeck> ctcpme is there a way for you to ignore the error, if so, what happens? [2018-10-05 08:04:41] <ctcpme> i don't believe so.  i get a MultipleCompilationErrorsException and the job immediately fails. {noformat}
            Current releases of all plugins, notably Struct 1.16, result in the {{choice}} parameter no longer having a legal {{choices}} argument. [https://github.com/jenkinsci/structs-plugin/pull/41] perhaps?

            Reproduce: {{docker run -p 8080:8080 jenkins/jenkins:2.138.1}}, install workflow-aggregator only, create a Pipeline and consult the Snippet Generator.

            Originally reported on IRC by ctcpme:
            {noformat}
            [2018-10-05 07:58:19] <ctcpme> i just did an upgrade to 2.138.1, and updated plugins.  i'm getting an error "WorkflowScript: 80: Invalid parameter "choices", did you mean "name"?" with choice parameters in my pipelines.  like pipeline { parameters { choice(name: "test", choices: "1\n2", description: "test") } }.  anyone have a clue what could cause this?
            [2018-10-05 08:02:23] <@danielbeck> ctcpme are you on structs plugin 1.16?
            [2018-10-05 08:02:38] <ctcpme> yes
            [2018-10-05 08:03:51] <@danielbeck> ctcpme is there a way for you to ignore the error, if so, what happens?
            [2018-10-05 08:04:41] <ctcpme> i don't believe so.  i get a MultipleCompilationErrorsException and the job immediately fails. {noformat}
            danielbeck Daniel Beck made changes -
            Assignee Kohsuke Kawaguchi [ kohsuke ] Jesse Glick [ jglick ]
            siigna Steve Bouché made changes -
            Description Current releases of all plugins, notably Struct 1.16, result in the {{choice}} parameter no longer having a legal {{choices}} argument. [https://github.com/jenkinsci/structs-plugin/pull/41] perhaps?

            Reproduce: {{docker run -p 8080:8080 jenkins/jenkins:2.138.1}}, install workflow-aggregator only, create a Pipeline and consult the Snippet Generator.

            Originally reported on IRC by ctcpme:
            {noformat}
            [2018-10-05 07:58:19] <ctcpme> i just did an upgrade to 2.138.1, and updated plugins.  i'm getting an error "WorkflowScript: 80: Invalid parameter "choices", did you mean "name"?" with choice parameters in my pipelines.  like pipeline { parameters { choice(name: "test", choices: "1\n2", description: "test") } }.  anyone have a clue what could cause this?
            [2018-10-05 08:02:23] <@danielbeck> ctcpme are you on structs plugin 1.16?
            [2018-10-05 08:02:38] <ctcpme> yes
            [2018-10-05 08:03:51] <@danielbeck> ctcpme is there a way for you to ignore the error, if so, what happens?
            [2018-10-05 08:04:41] <ctcpme> i don't believe so.  i get a MultipleCompilationErrorsException and the job immediately fails. {noformat}
            Current releases of all plugins, notably Struct 1.16, result in the {{choice}} parameter no longer having a legal {{choices}} argument. [https://github.com/jenkinsci/structs-plugin/pull/41] perhaps?

            Reproduce: {{docker run -p 8080:8080 jenkins/jenkins:2.138.1}}, install workflow-aggregator only, create a Pipeline and consult the Snippet Generator.

            Originally reported on IRC by ctcpme ([~siigna]):
            {noformat}
            [2018-10-05 07:58:19] <ctcpme> i just did an upgrade to 2.138.1, and updated plugins.  i'm getting an error "WorkflowScript: 80: Invalid parameter "choices", did you mean "name"?" with choice parameters in my pipelines.  like pipeline { parameters { choice(name: "test", choices: "1\n2", description: "test") } }.  anyone have a clue what could cause this?
            [2018-10-05 08:02:23] <@danielbeck> ctcpme are you on structs plugin 1.16?
            [2018-10-05 08:02:38] <ctcpme> yes
            [2018-10-05 08:03:51] <@danielbeck> ctcpme is there a way for you to ignore the error, if so, what happens?
            [2018-10-05 08:04:41] <ctcpme> i don't believe so.  i get a MultipleCompilationErrorsException and the job immediately fails. {noformat}
            jglick Jesse Glick made changes -
            Status Open [ 1 ] In Progress [ 3 ]
            jglick Jesse Glick made changes -
            Component/s workflow-aggregator-plugin [ 21710 ]
            Component/s workflow-cps-plugin [ 21713 ]
            Labels regression
            jglick Jesse Glick made changes -
            Link This issue relates to JENKINS-26143 [ JENKINS-26143 ]
            jglick Jesse Glick made changes -
            Remote Link This issue links to "structs PR 42 (Web Link)" [ 21902 ]
            jglick Jesse Glick made changes -
            Status In Progress [ 3 ] Resolved [ 5 ]
            Resolution Fixed [ 1 ]
            Released As 1.17

              People

              • Assignee:
                jglick Jesse Glick
                Reporter:
                danielbeck Daniel Beck
              • Votes:
                1 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: